UMOUNT(8)

NOM
umount - Démonter des systèmes de fichiers

SYNOPSIS
umount [-hV]

umount -a [-dflnrv] [-t vfstype] [-O options]
umount [-dflnrv] {rép|périphérique} ...

DESCRIPTION
La commande umount détache les systèmes de fichiers mentionnés de la hiérarchie des fichiers. Un système de fichiers est indiqué en donnant le nom du répertoire dans lequel il a été monté. Fournir le périphérique spécial sur lequel réside le système de fichiers peut également fonctionner, mais est obsolète, principalement parce cela échouera si ce périphérique a été monté dans plus d'un répertoire.

Notez qu'un système de fichiers ne peut être démonté quand il est « occupé », par exemple quand il y a des fichiers ouverts dessus, quand certains processus y ont leur répertoire de travail, ou quand un fichier d'échange y est utilisé. L'un de ces processus « récalcitrants » pourrait même être umount lui-même : il ouvre la libc, qui peut ouvrir à son tour des fichiers locaux. Un démontage paresseux évite ce problème.

Options de la commande umount :

-V  Afficher la version et quitter.

-h  Afficher un message d'aide et quitter.

-v  Mode verbeux.

-n  Démonter sans écrire dans /etc/mtab.

-r  Si le démontage échoue, essayer de remonter en lecture seule.

-d  Dans le cas d'un montage via un périphérique boucle (« loop »), libérer aussi ce périphérique.

-i  Ne pas appeler l'aide /sbin/umount.système_de_fichiers même si elle existe. Par défaut, cette aide est appelée si elle existe.

-a  Démonter tous les systèmes de fichiers décrits dans /etc/mtab (avec umount versions 2.7 et ultérieures, le système de fichiers proc n'est pas démonté).

-t vfstype
    Indiquer que les actions devraient uniquement être entreprises sur les systèmes de fichiers du type indiqué. Plusieurs types peuvent être indiqués dans une liste, en les séparant par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer les systèmes de fichiers pour lesquels aucune action ne doit être menée.

-O options
    Indiquer que les actions ne devraient être entreprises que sur les systèmes de fichiers dont les options sont indiquées dans /etc/fstab. Plusieurs options peuvent être indiquées dans une liste, en les séparant par des virgules. Chaque option peut être préfixée par no pour indiquer les options pour lesquelles aucune action ne doit être menée.

-f  Forcer le démontage (dans le cas d'un système NFS inaccessible). Nécessite un noyau 2.1.116 ou ultérieur.

-l  Démontage paresseux. Détacher maintenant le système de fichiers de la hiérarchie de systèmes de fichiers, et nettoyer toutes les références vers le système de fichiers dès qu'il n'est plus occupé (nécessite un noyau 2.4.11 ou ultérieur).

--no-canonicalize
    Ne pas rendre les chemins canoniques. Consultez la page de manuel mount(8) pour plus de précisions.

--fake
    Toutes les actions seront exécutées sauf le véritable appel système ; cela imite le démontage du système de fichiers. Cela permet de de retirer des entrées de /etc/mtab qui avaient été démontées auparavant avec l'option -n.

LE PÉRIPHÉRIQUE BOUCLE
La commande umount libérera le périphérique boucle (« loop ») associé au montage (s'il existe), au cas où il trouve l'option loop= dans /etc/mtab, ou si l'option -d est indiquée. Tous les périphériques boucle restants peuvent être libérés en utilisant la commande « losetup -d » ; consultez losetup(8).

NOTES
La syntaxe des programmes externes de démontage est :

/sbin/umount.suffixe {rép|périphérique} [-nlfvr] [-t type.sous-type]

Où suffixe est le type de système de fichiers ou une valeur des options uhelper= ou helper= de mtab. L'option -t est utilisée pour les systèmes de fichiers avec prise en charge des sous-types (par exemple /sbin/umount.fuse -t fuse.sshfs).

uhelper= (« unprivileged umount helper », aide de démontage sans droit) peut être utilisé quand des utilisateurs non superutilisateurs veulent démonter un point d'accès qui n'est pas défini dans le fichier /etc/fstab (par exemple pour les périphériques montés par udisks).

L'option de montage helper= redirige toutes les requêtes de démontage au programme /sbin/umount.suffixe indépendamment de l'UID.

FICHIERS
/etc/mtab Table des systèmes de fichiers montés.

VOIR AUSSI
umount(2), mount(8), losetup(8).

HISTORIQUE
Une commande umount est apparue dans la Version 6 du UNIX AT&T.

DISPONIBILITÉ
La commande umount fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Frédéric Delanoy en 2000. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.